Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Library for easy parsing of XMP metadata
Name:		exempi
Version:	2.1.1
Release:	1
License:	BSD
Group:		System/Libraries
URL:		http://libopenraw.freedesktop.org/wiki/Exempi
Source0:	http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: expat-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: zlib-devel

%description
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package	devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
This package contains the libraries and header files needed for
developing with exempi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q

%build
%configure LDFLAGS="-L%{_libdir}" CPPFLAGS="-I%{_includedir}"
# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libexempi.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/exempi-2.0
%{_libdir}/libexempi.a
%{_libdir}/libexempi.la
%{_libdir}/libexempi.so
%{_pkgconfig}/exempi-2.0.pc



%changelog
* Sun Feb 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-1
- Version update
* Tue Mar 31 2009 Christian Wasem <wasem@ccux-linux.de> 2.1.0-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 1.99.4-1
- Initial release
